# _REG Union Reference

`#include <mios32_enc28j60_regs.h>`

## Data Fields
u8 | Val
struct {
unsigned char RXERIE:1
unsigned char TXERIE:1
unsigned char:1
unsigned char TXIE:1
unsigned char LINKIE:1
unsigned char DMAIE:1
unsigned char PKTIE:1
unsigned char INTIE:1
} | EIEbits
struct {
unsigned char RXERIF:1
unsigned char TXERIF:1
unsigned char:1
unsigned char TXIF:1
unsigned char LINKIF:1
unsigned char DMAIF:1
unsigned char PKTIF:1
} | EIRbits
struct {
unsigned char CLKRDY:1
unsigned char TXABRT:1
unsigned char RXBUSY:1
unsigned char:1
unsigned char LATECOL:1
unsigned char BUFER:1
unsigned char INT:1
} | ESTATbits
struct {
unsigned char:3
unsigned char VRPS:1
unsigned char PWRSV:1
unsigned char PKTDEC:1
unsigned char AUTOINC:1
} | ECON2bits
struct {
unsigned char BSEL0:1
unsigned char BSEL1:1
unsigned char RXEN:1
unsigned char TXRTS:1
unsigned char CSUMEN:1
unsigned char DMAST:1
unsigned char RXRST:1
unsigned char TXRST:1
} | ECON1bits
struct {
unsigned char BCEN:1
unsigned char MCEN:1
unsigned char HTEN:1
unsigned char MPEN:1
unsigned char PMEN:1
unsigned char CRCEN:1
unsigned char ANDOR:1
unsigned char UCEN:1
} | ERXFCONbits
struct {
unsigned char MARXEN:1
unsigned char PASSALL:1
unsigned char RXPAUS:1
unsigned char TXPAUS:1
unsigned char:4
} | MACON1bits
struct {
unsigned char FULDPX:1
unsigned char FRMLNEN:1
unsigned char HFRMEN:1
unsigned char PHDREN:1
unsigned char TXCRCEN:1
unsigned char PADCFG0:1
unsigned char PADCFG1:1
unsigned char PADCFG2:1
} | MACON3bits
struct {
unsigned char FULDPX:1
unsigned char FRMLNEN:1
unsigned char HFRMEN:1
unsigned char PHDREN:1
unsigned char TXCRCEN:1
unsigned char PADCFG:3
} | MACON3bits2
struct {
unsigned char:4
unsigned char NOBKOFF:1
unsigned char BPEN:1
unsigned char DEFER:1
} | MACON4bits
struct {
unsigned char MIIRD:1
unsigned char MIISCAN:1
unsigned char:6
} | MICMDbits
struct {
unsigned char BISTST:1
unsigned char TME:1
unsigned char TMSEL0:1
unsigned char TMSEL1:1
unsigned char PSEL:1
unsigned char PSV0:1
unsigned char PSV1:1
unsigned char PSV2:1
} | EBSTCONbits
struct {
unsigned char BISTST:1
unsigned char TME:1
unsigned char TMSEL:2
unsigned char PSEL:1
unsigned char PSV:3
} | EBSTCONbits2
struct {
unsigned char BUSY:1
unsigned char SCAN:1
unsigned char NVALID:1
unsigned char:5
} | MISTATbits
struct {
unsigned char COCON0:1
unsigned char COCON1:1
unsigned char COCON2:1
unsigned char:5
} | ECOCONbits
struct {
unsigned char COCON:3
unsigned char:5
} | ECOCONbits2
struct {
unsigned char FCEN0:1
unsigned char FCEN1:1
unsigned char FULDPXS:1
unsigned char:5
} | EFLOCONbits
struct {
unsigned char FCEN:2
unsigned char FULDPXS:1
unsigned char:5
} | EFLOCONbits2

## Field Documentation

unsigned char _REG::ANDOR

unsigned char _REG::AUTOINC

unsigned char _REG::BCEN

unsigned char _REG::BISTST

unsigned char _REG::BPEN

unsigned char _REG::BSEL0

unsigned char _REG::BSEL1

unsigned char _REG::BUFER

unsigned char _REG::BUSY

unsigned _REG::char

unsigned char _REG::CLKRDY

unsigned char _REG::COCON

unsigned char _REG::COCON0

unsigned char _REG::COCON1

unsigned char _REG::COCON2

unsigned char _REG::CRCEN

unsigned char _REG::CSUMEN

unsigned char _REG::DEFER

unsigned char _REG::DMAIE

unsigned char _REG::DMAIF

unsigned char _REG::DMAST

struct { ... } _REG::EBSTCONbits

struct { ... } _REG::EBSTCONbits2

struct { ... } _REG::ECOCONbits

struct { ... } _REG::ECOCONbits2

struct { ... } _REG::ECON1bits

struct { ... } _REG::ECON2bits

struct { ... } _REG::EFLOCONbits

struct { ... } _REG::EFLOCONbits2

struct { ... } _REG::EIEbits

struct { ... } _REG::EIRbits

struct { ... } _REG::ERXFCONbits

struct { ... } _REG::ESTATbits

unsigned char _REG::FCEN

unsigned char _REG::FCEN0

unsigned char _REG::FCEN1

unsigned char _REG::FRMLNEN

unsigned char _REG::FULDPX

unsigned char _REG::FULDPXS

unsigned char _REG::HFRMEN

unsigned char _REG::HTEN

unsigned char _REG::INT

unsigned char _REG::INTIE

unsigned char _REG::LATECOL

unsigned char _REG::LINKIE

unsigned char _REG::LINKIF

struct { ... } _REG::MACON1bits

struct { ... } _REG::MACON3bits

struct { ... } _REG::MACON3bits2

struct { ... } _REG::MACON4bits

unsigned char _REG::MARXEN

unsigned char _REG::MCEN

struct { ... } _REG::MICMDbits

unsigned char _REG::MIIRD

unsigned char _REG::MIISCAN

struct { ... } _REG::MISTATbits

unsigned char _REG::MPEN

unsigned char _REG::NOBKOFF

unsigned char _REG::NVALID

unsigned char _REG::PADCFG

unsigned char _REG::PADCFG0

unsigned char _REG::PADCFG1

unsigned char _REG::PADCFG2

unsigned char _REG::PASSALL

unsigned char _REG::PHDREN

unsigned char _REG::PKTDEC

unsigned char _REG::PKTIE

unsigned char _REG::PKTIF

unsigned char _REG::PMEN

unsigned char _REG::PSEL

unsigned char _REG::PSV

unsigned char _REG::PSV0

unsigned char _REG::PSV1

unsigned char _REG::PSV2

unsigned char _REG::PWRSV

unsigned char _REG::RXBUSY

unsigned char _REG::RXEN

unsigned char _REG::RXERIE

unsigned char _REG::RXERIF

unsigned char _REG::RXPAUS

unsigned char _REG::RXRST

unsigned char _REG::SCAN

unsigned char _REG::TME

unsigned char _REG::TMSEL

unsigned char _REG::TMSEL0

unsigned char _REG::TMSEL1

unsigned char _REG::TXABRT

unsigned char _REG::TXCRCEN

unsigned char _REG::TXERIE

unsigned char _REG::TXERIF

unsigned char _REG::TXIE

unsigned char _REG::TXIF

unsigned char _REG::TXPAUS

unsigned char _REG::TXRST

unsigned char _REG::TXRTS

unsigned char _REG::UCEN

u8 _REG::Val

unsigned char _REG::VRPS

The documentation for this union was generated from the following file:

- include/mios32/mios32_enc28j60_regs.h